Bug 599715 - Review Request: python26-eventlet - Highly concurrent networking library
Review Request: python26-eventlet - Highly concurrent networking library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lev Shamardin
Lev Shamardin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 15:30 EDT by Kevin Fenzi
Modified: 2011-03-11 13:33 EST (History)
3 users (show)

See Also:
Fixed In Version: python26-eventlet-0.9.9-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-11 13:33:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shamardin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2010-06-03 15:30:07 EDT
Spec URL: http://www.scrye.com/~kevin/fedora/python26-eventlet/python26-eventlet.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/python26-eventlet/python26-eventlet-0.9.9-1.el5.src.rpm
Description: 

Eventlet is a networking library written in Python. It achieves high
scalability by using non-blocking io while at the same time retaining
high programmer usability by using coroutines to make the non-blocking
io operations appear blocking at the source code level.

NOTE: This package is for the python26 stack in EPEL-5 only.
Comment 1 Lev Shamardin 2010-06-09 03:50:39 EDT
I've got something to discuss here.
The original package python-eventlet had no -doc subpackage for EPEL because it requires a freshier sphinx version than one available under EPEL. Since we are now working with an (almost) brand-new clean python2.6 stack for EPEL, and there are no reasons not to use latest Sphinx versions, may be it would be reasonable to package newer Sphinx version first, and build python26-eventlet with -doc subpackage?

I'm not sure if the -doc subpackage for EPEL worths all this fuss, and I do not consider this a blocker, but I'm pretty sure that if it is not packaged with a -doc subpackage from the very beginning it would pretty sure never be.

What's your opinion?
Comment 2 Kevin Fenzi 2010-06-09 14:14:19 EDT
Interesting idea. 

How many other deps does sphinx need? If it's a lot then I don't think it would be worth it to do. If it's just a sphinx26 thats needed that might be ok. 
I can investigate more...
Comment 3 Kevin Fenzi 2010-06-11 12:08:40 EDT
This is not going to work. The reason we can do python26-foo packages is that python26 is parallel installable and doesn't interfere with the base python package. There isn't any easy way to get a newer sphinx package that won't conflict with the already existing one. 

It looks to me like we have:  
0:0.9.8.1-3.el5 in epel5
and rawhide has: 
0:0.9.9-1

What exactly do we need to build the docs?
Comment 4 Lev Shamardin 2010-06-11 13:12:13 EDT
It requires python-sphinx, not sphinx :)
There is python-sphinx-0.4.2 in epel5, and it requires >= 0.5.0 as far as I remember (since some plugins are missing in earlier versions).

And there is one thing I do not understand. I've checked CVS, it has version 0.5.1, but there are no builds for that version in Koji, and EPEL5 has 0.4.2 at the moment. I think if we can upgrade main python-sphinx in EPEL5, after this either python26-eventlet documentation will build successfully (I'm not sure, but I think it should), or we can rebuild python-eventlet with documentation subpackage included and provide python26-eventlet without documentation then.
Comment 5 Kevin Fenzi 2010-06-11 15:22:00 EDT
Ah, that will teach me to look at bugs before coffee. ;( 

Anyhow, yeah, we could do a python26-sphinx I guess thats newer. 
That won't help python-sphinx though. ;( 

Can we perhaps just move this review along without docs, and when/if we get python26-sphinx in we can enable the docs subpackage?
Comment 6 Lev Shamardin 2010-06-11 15:45:05 EDT
That's fine for me, because, as I said, I don't consider this missing -doc subpackage a real blocker. I will finish the review, hopefully, this weekend. 

Meanwhile I've opened two bugs for python-sphinx in EPEL, just for reference:
https://bugzilla.redhat.com/show_bug.cgi?id=603189
https://bugzilla.redhat.com/show_bug.cgi?id=603191
Comment 7 Kevin Fenzi 2010-06-21 15:27:42 EDT
ok, So where do we stand here now?

Shall I apply the patch Toshio came up with? 
Or should we just review this and get it in before worrying about the docs?
Or should we wait and see if there is going to be a python-spinx update first?
Comment 8 Lev Shamardin 2010-06-22 13:04:10 EDT
I think it does not worth to wait for python-sphinx. I've created this bug (https://bugzilla.redhat.com/show_bug.cgi?id=606893) to make sure that the patch will be applied :)

Now for the formal review part.

MUST items:

* OK - rpmlint outputs no errors, all warnings can be ignored. See at the end of the review.
* OK - package is named according to guidelines.
* OK - package spec file is named correctly.
* OK - package does meet the packaging guidelines.
* OK - package licensed under MIT License
* OK - License field in the spec file matches the actual license.
* OK - License is included to the package.
* OK - spec file is written in American English.
* OK - spec file is legible.
* OK - the sources for the package match the upstream.
  95d01864a053ec67e08d57fc369152f8  eventlet-0.9.9.tar.gz
  95d01864a053ec67e08d57fc369152f8  eventlet-0.9.9.tar.gz.orig
* OK - checked that package does compile on i386 and x86_64.
* OK - architectures where the package does not work are unknown.
* OK - package lists sane BuildRequires.
* OK - package does not use locales.
* OK - package does not contain dynamic libraries.
* OK - package does not bundle copies of system libraries.
* OK - package is not relocatable.
* OK - package owns all directories it creates.
* OK - %files listings are correct.
* OK - permissons on files are set correctly, %defattr is included in all %files sections.
* OK - package contains code or permissible content.
* OK - large documentation is stripped off (provided in fedora builds in a separate subpackage).
* OK - package %doc contents does not affect it's runtime.
* OK - package does not provide header files.
* OK - package does not provided static libraries.
* OK - package does not provide libraries with a suffix.
* OK - package does not have a -devel subpackage.
* OK - package does not contain .la files.
* OK - package does not contain a GUI application.
* OK - package does not own files or directories owned by other packages.
* OK - all file names are UTF-8.

SHOULD items:

* OK - the package builds in mock.
* OK - the pacakge functions as described.
* OK - the package does not use scriplets.
* OK - the package does not provide pkgconfig files.
* OK - the package does not have file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin.

rpmlint output:

$ rpmlint python26-eventlet.spec python26-eventlet-0.9.9-1.el5.src.rpm python26-eventlet-0.9.9-1.el5.noarch.rpm 
python26-eventlet.src: W: spelling-error %description -l en_US scalability -> availability, sociability, inviolability
python26-eventlet.src: W: spelling-error %description -l en_US io -> oi, Io, ii
python26-eventlet.src: W: spelling-error %description -l en_US coroutines -> co routines, co-routines, subroutines
python26-eventlet.noarch: W: spelling-error %description -l en_US scalability -> availability, sociability, inviolability
python26-eventlet.noarch: W: spelling-error %description -l en_US io -> oi, Io, ii
python26-eventlet.noarch: W: spelling-error %description -l en_US coroutines -> co routines, co-routines, subroutines
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

All can be ignored.

I'm approving this package.
Comment 9 Kevin Fenzi 2010-06-22 13:36:00 EDT
Thanks!

I can apply the patch here as well before import to build the docs. 

New Package CVS Request
=======================
Package Name: python26-eventlet
Short Description: Highly concurrent networking library
Owners: kevin
Branches: EL-5
InitialCC:
Comment 10 Kevin Fenzi 2010-06-22 21:47:32 EDT
CVS done (by process-cvs-requests.py).
Comment 11 Kevin Fenzi 2011-02-21 17:58:11 EST
This completely dropped off my radar. Sorry about that. ;( 

Building and pushing update now.
Comment 12 Fedora Update System 2011-02-21 17:59:05 EST
python26-eventlet-0.9.9-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-eventlet-0.9.9-1.el5
Comment 13 Fedora Update System 2011-02-22 20:32:05 EST
python26-eventlet-0.9.9-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python26-eventlet'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python26-eventlet-0.9.9-1.el5
Comment 14 Fedora Update System 2011-03-11 13:33:18 EST
python26-eventlet-0.9.9-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.